Bug 176723 - [patch] net-mgmt/zenoss: convert bsd.zenoss.mk to USES framework
[patch] net-mgmt/zenoss: convert bsd.zenoss.mk to USES framework
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-07 08:40 UTC by jgh@FreeBSD.org
Modified: 2013-03-20 06:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (11.12 KB, patch)
2013-03-07 08:40 UTC, jgh@FreeBSD.org
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jgh@FreeBSD.org freebsd_committer 2013-03-07 08:40:00 UTC
Remove Mk/bsd.zenoss.mk in favor of Mk/Uses/zenoss.mk (copied from Mk/bsd.zenoss.mk)
Trim historical headers in zenpacks
Drop unnecessary processing of pre/post in zenpacks in favor of USES=zenoss
Comment 1 Edwin Groothuis freebsd_committer 2013-03-07 08:40:08 UTC
Maintainer of net-mgmt/zenoss,

Please note that PR ports/176723 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176723

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-07 08:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jgh@FreeBSD.org freebsd_committer 2013-03-07 08:41:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 4 dfilter freebsd_committer 2013-03-20 06:28:54 UTC
Author: jgh
Date: Wed Mar 20 06:28:43 2013
New Revision: 314713
URL: http://svnweb.freebsd.org/changeset/ports/314713

Log:
  - Add New USES macro to handle support for Zenoss ports and Zenpacks:
      USES= zenoss
  -trim historical headers
  
  Convert net-mgmt/zenpack family to new framework
  
  PR:		176723
  Approved by:	maintainer timeout ( 14 days )

Added:
  head/Mk/Uses/zenoss.mk
     - copied, changed from r313565, head/Mk/bsd.zenoss.mk
Deleted:
  head/Mk/bsd.zenoss.mk
Modified:
  head/CHANGES
  head/net-mgmt/zenpack-apachemonitor/Makefile
  head/net-mgmt/zenpack-checkping/Makefile
  head/net-mgmt/zenpack-dellmon/Makefile
  head/net-mgmt/zenpack-dellmonitor/Makefile
  head/net-mgmt/zenpack-deviceadvdetail/Makefile
  head/net-mgmt/zenpack-devicesearch/Makefile
  head/net-mgmt/zenpack-graphportlet/Makefile
  head/net-mgmt/zenpack-interfacegraphs/Makefile
  head/net-mgmt/zenpack-libvirt/Makefile
  head/net-mgmt/zenpack-macreport/Makefile
  head/net-mgmt/zenpack-ntpmonitor/Makefile

Modified: head/CHANGES
==============================================================================
--- head/CHANGES	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/CHANGES	Wed Mar 20 06:28:43 2013	(r314713)
@@ -10,6 +10,13 @@ in the release notes and/or placed into 
 
 All ports committers are allowed to commit to this file.
 
+20130320:
+AUTHOR: jgh@FreeBSD.org
+
+  * New USES macro to handle support for Zenoss ports and Zenpacks:
+
+    USES= zenoss
+
 20130319:
 AUTHOR: makc@FreeBSD.org
 

Copied and modified: head/Mk/Uses/zenoss.mk (from r313565, head/Mk/bsd.zenoss.mk)
==============================================================================
--- head/Mk/bsd.zenoss.mk	Thu Mar  7 06:20:38 2013	(r313565, copy source)
+++ head/Mk/Uses/zenoss.mk	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,6 +1,3 @@
-#-*- mode: makefile; tab-width: 4; -*-
-# ex:ts=4
-#
 # $FreeBSD$
 #
 # bsd.zenoss.mk - Support for Zenoss ports and Zenpacks.
@@ -8,8 +5,19 @@
 # For FreeBSD committers:
 # Please send all suggested changes to the maintainer instead of committing
 # them yourself.
+#
+# MAINTAINER: zenoss@experts-exchange.com
+#
+# Feature:      zenoss
+# Usage:        USES=zenoss
+# Valid ARGS:   does not require args
 
-bsd_zenoss_mk_MAINTAINER=	zenoss@experts-exchange.com
+.if !defined(_INCLUDE_ZENOSS_MK)
+_INCLUDE_ZENOSS_MK=    yes
+
+.if defined(zenoss_ARGS)
+IGNORE= USES=zenoss does not require args
+.endif
 
 BUILD_DEPENDS+=	zenoss>=3.1.0:${PORTSDIR}/net-mgmt/zenoss
 RUN_DEPENDS+=	zenoss>=3.1.0:${PORTSDIR}/net-mgmt/zenoss
@@ -71,3 +79,5 @@ do-install:
 	${INSTALL_DATA} ${WRKSRC}/dist/${ZPACK} ${ZPACKHOME}
 	@${CAT} ${PKGMESSAGE}
 .endif
+
+.endif

Modified: head/net-mgmt/zenpack-apachemonitor/Makefile
==============================================================================
--- head/net-mgmt/zenpack-apachemonitor/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-apachemonitor/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -12,6 +12,7 @@ COMMENT=	Provides performance monitoring
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 BROKEN=	fails to fetch
 
@@ -19,6 +20,4 @@ USE_ZIP=	yes
 ZPACKGROUP=	core
 WRKSRC=		${WRKDIR}/tags/zenoss-3.1.0/zenpacks/${ZPACKPREFIX}${PORTNAME}/
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-checkping/Makefile
==============================================================================
--- head/net-mgmt/zenpack-checkping/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-checkping/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: CheckPing
-# Date created:    08 June 2011
-# Whom:      Zenoss <zenoss@experts-exchange.com>
-#
+# Created by: Zenoss <zenoss@experts-exchange.com>
 # $FreeBSD$
-#
 
 PORTNAME=	CheckPing
 PORTVERSION=	1.0
@@ -16,12 +12,11 @@ COMMENT=	Provides nagios ping check for 
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 ZPACKPREFIX=	ZenPacks.Nagios.
 ZPACKGROUP=	community
 WRKSRC=	${WRKDIR}/zenoss-${ZPACKPREFIX}${PORTNAME}-${TAG}
 TAG=            0088e17
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-dellmon/Makefile
==============================================================================
--- head/net-mgmt/zenpack-dellmon/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-dellmon/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: DellMon
-# Date created:    13 May 2011
-# Whom:      Zenoss <zenoss@experts-exchange.com>
-#
+# Created by: Zenoss <zenoss@experts-exchange.com>
 # $FreeBSD$
-#
 
 PORTNAME=	DellMon
 PORTVERSION=	2.4
@@ -17,11 +13,10 @@ COMMENT=	Provides additional monitoring 
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 ZPACKGROUP=	community
 WRKSRC=		${WRKDIR}/epuzanov-${ZPACKPREFIX}${PORTNAME}-a4ae347
 ZPACKPREFIX=    ZenPacks.community.
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-dellmonitor/Makefile
==============================================================================
--- head/net-mgmt/zenpack-dellmonitor/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-dellmonitor/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -12,6 +12,7 @@ COMMENT=	Provides Zenoss monitoring opti
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 BROKEN=		fails to fetch
 
@@ -19,6 +20,4 @@ USE_ZIP=	yes
 ZPACKGROUP=	core
 WRKSRC=	        ${WRKDIR}/tags/zenoss-3.1.0/zenpacks/${ZPACKPREFIX}${PORTNAME}/
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-deviceadvdetail/Makefile
==============================================================================
--- head/net-mgmt/zenpack-deviceadvdetail/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-deviceadvdetail/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,9 +1,5 @@
-# New ports collection Makefile for: deviceAdvDetail
-# Date created:    11 May 2011
-# Whom:      Zenoss <zenoss@experts-exchange.com>
-#
+# Created by: Zenoss <zenoss@experts-exchange.com>
 # $FreeBSD$
-#
 
 PORTNAME=	deviceAdvDetail
 PORTVERSION=	2.7.3
@@ -16,6 +12,7 @@ COMMENT=	Provides additional hardware de
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 ZPACKGROUP=	community
 WRKSRC=	${WRKDIR}/epuzanov-${ZPACKPREFIX}${PORTNAME}-cfbd596
@@ -23,6 +20,4 @@ WRKSRC=	${WRKDIR}/epuzanov-${ZPACKPREFIX
 ZPACK=	${ZPACKPREFIX}${PORTNAME}-2.7-${PYTHON_VERSION:S/thon//}.egg
 ZPACKPREFIX=	ZenPacks.community.
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-devicesearch/Makefile
==============================================================================
--- head/net-mgmt/zenpack-devicesearch/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-devicesearch/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: DeviceSearch
-# Date created:    26 May 2011
-# Whom:      Zenoss <zenoss@experts-exchange.com>
-#
+# Created by: Zenoss <zenoss@experts-exchange.com>
 # $FreeBSD$
-#
 
 PORTNAME=	DeviceSearch
 PORTVERSION=	1.0.0
@@ -15,9 +11,8 @@ COMMENT=	Provides the ability to quickly
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 ZPACKGROUP=	core
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-graphportlet/Makefile
==============================================================================
--- head/net-mgmt/zenpack-graphportlet/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-graphportlet/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: ShowGraphPortlet
-# Date created:    12 May 2011
-# Whom:      Zenoss <zenoss@experts-exchange.com>
-#
+# Created by: Zenoss <zenoss@experts-exchange.com>
 # $FreeBSD$
-#
 
 PORTNAME=	ShowGraphPortlet
 PORTVERSION=	1.03
@@ -16,12 +12,11 @@ COMMENT=	Enables users to show any graph
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 ZPACKGROUP=	community
 ZPACKPREFIX=	ZenPacks.SCC.
 WRKSRC=         ${WRKDIR}/zenoss-${ZPACKPREFIX}${PORTNAME}-${TAG}
 TAG=            0cf7678
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-interfacegraphs/Makefile
==============================================================================
--- head/net-mgmt/zenpack-interfacegraphs/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-interfacegraphs/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: InterfaceGraphs
-# Date created:    26 May 2011
-# Whom:      Zenoss <zenoss@experts-exchange.com>
-#
+# Created by: Zenoss <zenoss@experts-exchange.com>
 # $FreeBSD$
-#
 
 PORTNAME=	InterfaceGraphs
 PORTVERSION=	1.0
@@ -16,12 +12,11 @@ COMMENT=	Provides a link that graphs all
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 ZPACKGROUP=	community
 ZPACKPREFIX=	ZenPacks.community.
 WRKSRC=  ${WRKDIR}/zenoss-${ZPACKPREFIX}${PORTNAME}-${TAG}
 TAG= 7ed2d7d
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-libvirt/Makefile
==============================================================================
--- head/net-mgmt/zenpack-libvirt/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-libvirt/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -17,12 +17,11 @@ RUN_DEPENDS=	libvirt>=0.9.1:${PORTSDIR}/
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 ZPACKPREFIX=	ZenPacks.community.
 ZPACKGROUP=	community
 WRKSRC=  ${WRKDIR}/zenoss-${ZPACKPREFIX}${PORTNAME}-${TAG}
 TAG=  4113cfe
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-macreport/Makefile
==============================================================================
--- head/net-mgmt/zenpack-macreport/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-macreport/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: MACReport
-# Date created:    13 May 2011
-# Whom:      Zenoss <zenoss@experts-exchange.com>
-#
+# Created by: Zenoss <zenoss@experts-exchange.com>
 # $FreeBSD$
-#
 
 PORTNAME=	MACReport
 PORTVERSION=	1.0.1
@@ -16,6 +12,7 @@ COMMENT=	Lists MAC address and the Devic
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 USE_ZIP=	yes
 ZPACKGROUP=	community
@@ -24,6 +21,4 @@ TAG=	b345f53
 
 ZPACKPREFIX=	ZenPacks.sodonnell.
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/zenpack-ntpmonitor/Makefile
==============================================================================
--- head/net-mgmt/zenpack-ntpmonitor/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
+++ head/net-mgmt/zenpack-ntpmonitor/Makefile	Wed Mar 20 06:28:43 2013	(r314713)
@@ -12,6 +12,7 @@ COMMENT=	Monitors the offset between sys
 
 PLIST_FILES=	zenoss/ZenPack/${ZPACK}
 PLIST_DIRS=	zenoss/ZenPack
+USES=		zenoss
 
 BROKEN=		fails to fetch
 
@@ -19,6 +20,4 @@ USE_ZIP=	yes
 ZPACKGROUP=	core
 WRKSRC=	${WRKDIR}/tags/zenoss-3.1.0/zenpacks/${ZPACKPREFIX}${PORTNAME}/
 
-.include <bsd.port.pre.mk>
-.include "${PORTSDIR}/Mk/bsd.zenoss.mk"
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 jgh@FreeBSD.org freebsd_committer 2013-03-20 06:29:32 UTC
State Changed
From-To: feedback->open

maintainer timeout (14 days)
Comment 6 jgh@FreeBSD.org freebsd_committer 2013-03-20 06:29:54 UTC
State Changed
From-To: open->closed

Committed.